using System;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace ColorModelSample
{
	public class App
	{
		public static Page GetMainPage ()
		{	
			return new ContentPage { 
				Content = GetChart ()
			};
		}

	private static SfChart GetChart(){
			SfChart chart = new SfChart ();
			chart.PrimaryAxis = new CategoryAxis ();
			chart.SecondaryAxis = new NumericalAxis ();

			ColumnSeries series = new ColumnSeries ();

			//Set Palette as ChartColorPalette.Custom will apply colors for Series from CustomBrushes property
			series.ColorModel.Palette = ChartColorPalette.Custom;

			//Custom colors
			series.ColorModel.CustomBrushes = new List<Color> () {
				Color.Red,
				Color.Green,
				Color.Blue,
				Color.Pink,
				Color.Lime
			};

			ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint> ();
			data.Add(new ChartDataPoint("A", 34));
			data.Add(new ChartDataPoint("B", 24));
			data.Add(new ChartDataPoint("C", 31));
			data.Add(new ChartDataPoint("D", 27));
			data.Add(new ChartDataPoint("E", 30));
			series.ItemsSource = data;

			chart.Series.Add (series);

			return chart;
		}
	}
}